{ config, lib, pkgs, ... }:

let cfg = config.jade.desktop.creative;
in with lib; {
  options.jade.desktop.creative = {
    enable = mkEnableOption "Enable creative software";
  };
  config = mkIf cfg.enable {
    home-manager.users.jade = { pkgs, ... }: {
      home.packages = with pkgs; [
        audacity 
        krita 
        gimp 
        inkscape-with-extensions 
        obs-studio 
        kdenlive 
        fspy 
        scribus       

        digikam 
        darktable
        rawtherapee
      ];
    };
  };
}
